Get filter values for tasks requiring feedback

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/user/tasks-to-check/filter-values

Return the distinct project, task type, task status, episode and assignee ids present in the tasks requiring feedback for the current user. Aimed at filling filter combo boxes without loading the full task list.

Responses

  • 200 application/json

    Distinct filter values for tasks requiring feedback

    Hide response attributes Show response attributes object
    • project_ids array[string(uuid)]
    • task_type_ids array[string(uuid)]
    • task_status_ids array[string(uuid)]
    • episode_ids array[string(uuid)]
    • person_ids array[string(uuid)]
GET /data/user/tasks-to-check/filter-values
curl \
 --request GET 'http://api.example.com/data/user/tasks-to-check/filter-values' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "project_ids": [
    "string"
  ],
  "task_type_ids": [
    "string"
  ],
  "task_status_ids": [
    "string"
  ],
  "episode_ids": [
    "string"
  ],
  "person_ids": [
    "string"
  ]
}